## IdeDocumentationProposal IdeDocumentationProposal |

## Functions

IdeDocumentationProposal * | ide_documentation_proposal_new ()
void | ide_documentation_proposal_set_header ()
void | ide_documentation_proposal_set_text ()
const gchar * | ide_documentation_proposal_get_header ()
const gchar * | ide_documentation_proposal_get_text ()
const gchar * | ide_documentation_proposal_get_uri ()

## Properties

gchar * | header | Read / Write
gchar * | text | Read / Write
gchar * | uri | Read / Write / Construct Only

## Types and Values

#define | IDE_TYPE_DOCUMENTATION_PROPOSAL
| IdeDocumentationProposalClass
| IdeDocumentationProposal

## Object Hierarchy

        GObject
        ╰── IdeDocumentationProposal

## Description

## Functions

### ide_documentation_proposal_new ()

    IdeDocumentationProposal *
    ide_documentation_proposal_new (const gchar *url);

### ide_documentation_proposal_set_header ()

    void
    ide_documentation_proposal_set_header (IdeDocumentationProposal *self,
                                           const gchar *header);

### ide_documentation_proposal_set_text ()

    void
    ide_documentation_proposal_set_text (IdeDocumentationProposal *self,
                                         const gchar *text);

### ide_documentation_proposal_get_header ()

    const gchar *
    ide_documentation_proposal_get_header (IdeDocumentationProposal *self);

### ide_documentation_proposal_get_text ()

    const gchar *
    ide_documentation_proposal_get_text (IdeDocumentationProposal *self);

### ide_documentation_proposal_get_uri ()

    const gchar *
    ide_documentation_proposal_get_uri (IdeDocumentationProposal *self);

## Types and Values

### IDE_TYPE_DOCUMENTATION_PROPOSAL

    #define IDE_TYPE_DOCUMENTATION_PROPOSAL            (ide_documentation_proposal_get_type())

### IdeDocumentationProposalClass

    typedef struct {
      GObjectClass parent_class;
    } IdeDocumentationProposalClass;

### IdeDocumentationProposal

    typedef struct _IdeDocumentationProposal IdeDocumentationProposal;

## Property Details

### The `“header”` property

      “header”                   gchar *

Header.

Flags: Read / Write

Default value: NULL

### The `“text”` property

      “text”                     gchar *

Text.

Flags: Read / Write

Default value: NULL

### The `“uri”` property

      “uri”                      gchar *

Uri.

Flags: Read / Write / Construct Only

Default value: NULL